2 oksola okSola 于 2016.03.14 12:05 提问

现在twisted不支持python3.5吗?

官网上没3.5,但是pip可以直接安装!
用的时候出错!
出现ImportError:cannot import name ‘_win32stdio’

2个回答

oyljerry
oyljerry   Ds   Rxr 2016.03.14 17:06
已采纳

Twisted Core 15.5.0 (2015-11-28)

This is the last Twisted release where Python 2.6 is supported, on any
platform. Python 3.5 (on POSIX) support has been added.

https://github.com/twisted/twisted/blob/trunk/NEWS

devmiao
devmiao   Ds   Rxr 2016.03.14 12:23
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
Twisted-17.9.0-cp35-cp35m-win_amd64.whl
Twisted python3.5 Twisted python3.5 Twisted python3.5 Twisted python3.5 Twisted python3.5 Twisted-17.9.0-cp35-cp35m-win_amd64.whl Twisted-17.9.0-cp35-cp35m-win_amd64.whl Twisted-17.9.0-cp35-cp35m-win_amd64.whl
Python3.6 scrapy安装系列问题 could not found Twisted
按照网上的教程各位是不是出现这样问题: 这个说明python3.6不支持这个,所以我们需要安装在python3.5上。 问题又来了,当你安装完Twisted是,还是会报这样的错 在解决这个问题前,你必须确认如图信息: 也就是说你已经成功安装Twisted了,具体怎么安装请自行百度; 这时候我们可以直接去百度下载scrapy 进行手动安装,安装请自行百度; 我们会遇到
python3.5安装Twisted
在 http://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted 上面下载对应版本cp35的whl 安装wheel pip install wheel 进入.whl所在的文件夹,执行命令即可完成安装 pip install 带后缀的完整文件名
python 用twisted 问题 zope.interface
在python 27 安装了twisted 11. 结果在用的时候,import 包的时候,总是报错,zope.interface 问题。 后来找到解决方法: 下载 easy_install. http://pypi.python.org/pypi/setuptools 我的是WINDOWS环境。 setuptools-0.6c11.win32-py2.7.exe 下载 zop
Twisted(适用Python3.5)
详情地址:http://blog.csdn.net/sunchao3555/article/details/79129953
python3.5在win10下安装scapy和twisted遇到的问题和解决方案
想玩爬虫,爬爬知乎 先安装scapy框架, 直接 pip3 scapy install果然是不行的,http://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted`在上面的网址下载然后回到下载的目录 ,下载时候注意cp后面的数字和你的python版本要对照. pip install 包名然后你就可以愉快的安装scapy 了,这里建议去下载最新的scapy
Twisted适配python3.5
对于python多包,就不多说了,有好处同时也会出现安包频繁或版本适配问题,毕竟各种包不能同步更新,这个就是scrapy目前只适配python2.7-3.4但是我装的是3.5出现了这个问题。win64
Python+Twisted+Win7安装套件安装配置环境
最近接触到了 Python ,挺喜欢这简洁又强大的 “蟒蛇” 啊! 因为在实现 多人斗地主 的功能中用到了网络通信模块 得配置 Twisted  框架的环境 随便过程简单记录一下吧。 Step1: 首先到 http://www.python.org/getit/下载Python  我的版本是:python-2.7.3.msi 点击一路直接安装就行,我的安装路径是:D:\Program
python安装twisted遇到的问题
今天在用pip安装wisted模块的时候没有任何的问题,但是当使用的时候发生了,无法导入win32api这个包,原因是因为python不能自己去使用系统的api。因此需要去安装pywin32模块。安装好了有发生了无法加载dll。 感觉应该没有什么问题了,但是由于乱码不知道是那个dll,经过一定时间的测试以后,把中的三个dll复制出来,放在同目录下面 中就可以了。
python3.5安装Scrapy
先安装Twisted,通过下载.whl来安装: python3.5可以安装Twisted吗?https://www.zhihu.com/question/52281800 Twisted下载地址: https://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted 注意系统版本: 通过pip install xxxxx.whl报